# Bulk update a rotary parking places

`PATCH https://api.parklio.com/v2/rotaries/parking-places`

This endpoint updates the values of a rotary parking place by ids

**Auth:** `Authorization: Bearer <token>`

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | string (`online`, `offline`) | no |  |
| `ids` | string[] | yes |  |
| `is_occupied` | boolean | yes |  |

```json
{
  "status": "online",
  "ids": [
    1,
    2
  ],
  "is_occupied": true
}
```

## Responses

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

